OTPSettings
Get customer's OTP settings
Get your OTP settings.
Otp settings contain data used for SMS sending. If you want change default SMS language or SMS text template, configure OTP code format etc., you can update your OTP settings via PATCH /api/v1/sms/otp/settings.
Header Parameters
Authorization*string
Your API token
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://dev-refactor-api-e.voipenv.uk/api/v1/sms/otp/settings" \ -H "Authorization: string"{
"code": 0,
"data": {
"callback_url": "string",
"client_name": "string",
"code_formats": [
"l"
],
"code_generation_side": "client",
"created_at": "string",
"id": 0,
"language": "string",
"number_of_characters": 0,
"request_data_send_back": true,
"sms_template_id": 0
},
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "ok"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}